import request from '@/utils/request'

// 查询研究资料管理列表
export function listProjectFounderProfile(query) {
  return request({
    url: '/study/projectFounderProfile/list',
    method: 'get',
    params: query
  })
}

// 查询研究资料管理详细
export function getProjectFounderProfile(id) {
  return request({
    url: '/study/projectFounderProfile/' + id,
    method: 'get'
  })
}

// 新增研究资料管理
export function addProjectFounderProfile(data) {
  return request({
    url: '/study/projectFounderProfile',
    method: 'post',
    data: data
  })
}

// 修改研究资料管理
export function updateProjectFounderProfile(data) {
  return request({
    url: '/study/projectFounderProfile',
    method: 'put',
    data: data
  })
}

// 删除研究资料管理
export function delProjectFounderProfile(id) {
  return request({
    url: '/study/projectFounderProfile/' + id,
    method: 'delete'
  })
}
